For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notes

List Notes

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · int32 · min: 1Optional
perPageinteger · int32 · min: 1 · max: 100Optional
docIdstringOptional

Filter to notes attached to this document ID (contact, deal, or company)

docTypestringOptional

Filter to notes attached to this document type

sortstring · enumOptional

Field to sort by

Default: timestamp.createdPossible values:
sortDirstring · enumOptional

Sort direction: asc or desc. Only takes effect when sort is set.

Possible values:
Responses
200

List of notes

application/json
totalRowsnumberOptional
pagenumberOptional
perPagenumberOptional
get/notes
GET /v2/notes HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "totalRows": 1,
  "page": 1,
  "perPage": 1,
  "rows": [
    {
      "id": "abcd1234-abcd-1234-abcd-abcd1234abcd",
      "note": "This is a note content.",
      "owner": {
        "id": "user_abc123",
        "name": "Alice Smith"
      },
      "timestamp": {
        "created": 1672531200,
        "updated": 1672617600
      }
    }
  ]
}

Create Note

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
docIdstringRequired

The document ID

docTypestringRequired

The document type

Body
idstringOptional

The unique ID of the Note. Ignored when creating notes

revstringOptional

The revision of the Note document. Ignored when creating notes

notestring · nullableOptional

The content of the Note

Responses
200

Details about the new Note

application/json
idstringOptional

The unique ID of the Note. Ignored when creating notes

revstringOptional

The revision of the Note document. Ignored when creating notes

notestring · nullableOptional

The content of the Note

post/notes
POST /v2/notes?docId=text&docType=text HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 184

{
  "id": "abcd1234-abcd-1234-abcd-abcd1234abcd",
  "note": "This is a note content.",
  "owner": {
    "id": "user_abc123",
    "name": "Alice Smith"
  },
  "timestamp": {
    "created": 1672531200,
    "updated": 1672617600
  }
}
{
  "id": "abcd1234-abcd-1234-abcd-abcd1234abcd",
  "note": "This is a note content.",
  "owner": {
    "id": "user_abc123",
    "name": "Alice Smith"
  },
  "timestamp": {
    "created": 1672531200,
    "updated": 1672617600
  }
}

Retrieve Note

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of the Note

Responses
200

Details about the note

application/json
idstringOptional

The unique ID of the Note. Ignored when creating notes

revstringOptional

The revision of the Note document. Ignored when creating notes

notestring · nullableOptional

The content of the Note

get/notes/{id}
GET /v2/notes/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "abcd1234-abcd-1234-abcd-abcd1234abcd",
  "note": "This is a note content.",
  "owner": {
    "id": "user_abc123",
    "name": "Alice Smith"
  },
  "timestamp": {
    "created": 1672531200,
    "updated": 1672617600
  }
}

Last updated

Was this helpful?